max_element.hpp File Reference

## Functions

template<typename I , typename S , typename C = less, typename P = identity>
auto | ranges::max_element (I first, S last, C pred=C{}, P proj=P{}) -> I requires forward_iterator< I > &&sentinel_for< S, I > &&indirect_strict_weak_order< C, projected< I, P >>
| function template `max_element`
template<typename Rng , typename C = less, typename P = identity>
auto | ranges::max_element (Rng &&rng, C pred=C{}, P proj=P{}) -> safe_iterator_t< Rng > requires forward_range< Rng > &&indirect_strict_weak_order< C, projected< iterator_t< Rng >, P >>